Split the postgresql ports into a server and a client part. The

following knobs can be used by ports depending on PostgreSQL:

# USE_PGSQL     - Add PostgreSQL client dependency.
#                 If no version is given (by the maintainer via the port or
#                 by the user via defined variable), try to find the
#                 currently installed version.  Fall back to default if
#                 necessary (PostgreSQL-7.4 = 74).
# DEFAULT_PGSQL_VER
#               - PostgreSQL default version. Can be overridden within a port.
#                 Default: 74.
# WANT_PGSQL_VER
#               - Maintainer can set an arbitrary version of PostgreSQL by
#                 using it.
# BROKEN_WITH_PGSQL
#               - This variable can be defined if the ports doesn't support
#                 one or more versions of PostgreSQL.

Note that a periodic script is installed that will, by default, vacuum
all databases nightly. You may want to tweak the settings, see the
script at ${LOCALBASE}/etc/periodic/daily/502.pgsql

To run PostgreSQL at boot time, set postgresql_enable=yes in /etc/rc.conf.

Note
PR:		75344
Approved by:	portmgr@ (kris), ade & sean (mentors)
This commit is contained in:
Palle Girgensohn 2005-01-31 00:19:47 +00:00
parent 5a566703b2
commit e2eee41076
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=127734
28 changed files with 909 additions and 878 deletions

View file

@ -18,13 +18,10 @@ DISTFILES?= postgresql-base-${PORTVERSION}${EXTRACT_SUFX} \
MAINTAINER?= girgen@FreeBSD.org
COMMENT?= The most advanced open-source database available anywhere
# XXX: this will eventually go away
.if !defined(PGSQL_WORK_IN_PROGRESS)
BROKEN= Work in progress, please use databases/postgresql73 until further notice
.endif
CONFLICTS?= ${PORTNAME}${PKGNAMESUFFIX}-7.[0-24-9]* \
${PORTNAME}${PKGNAMESUFFIX}-8.*
${PORTNAME}${PKGNAMESUFFIX}-8.* \
${PORTNAME}-client-7.[0-24-9]* \
${PORTNAME}-client-8.*
WRKSRC= ${WRKDIR}/postgresql-${PORTVERSION}
DIST_SUBDIR= postgresql
@ -38,8 +35,8 @@ GNU_CONFIGURE= YES
.undef GNU_CONFIGURE
.endif
CONFIGURE_ARGS?=--with-libraries=${LOCALBASE}/lib \
--with-includes=${LOCALBASE}/include
CONFIGURE_ARGS+=--with-libraries=${LOCALBASE}/lib \
--docdir=${DOCSDIR}
CONFIGURE_ENV+= LDFLAGS="${LDFLAGS}"
PLIST= ${PKGDIR}/pkg-plist${PKGNAMESUFFIX}
@ -58,21 +55,30 @@ WANT_PGSQL_VER= ${PORTVERSION:C/([0-9][0-9]*)\.([0-9][0-9]*).*/\1\2/g}
.if !defined(SLAVE_ONLY)
OPTIONS= NLS "Use internationalized messages" on
OPTIONS+= SSL "Build with SSL" on
.endif
# Cannot check this with standard OPTION due to a catch-22.
# USE_OPENSSL must precede bsd.port.pre.mk, but then we don't know
# what OPTIONS are set.
#
# If you *don't* want SSL, set WITHOUT_SSL=YES when making
.if !defined(WITHOUT_SSL)
USE_OPENSSL= yes
CONFIGURE_ARGS+=--with-openssl
.endif
.include <bsd.port.pre.mk>
.if !defined(SLAVE_ONLY)
# gnugetopt will always be used if already installed
. if ${OSVERSION} < 500041
OPTIONS+= GNUGETOPT "Depend on GNU getopt" on
. if (${OSVERSION} < 500041) && !exists(${LOCALBASE}/include/getopt.h)
OPTIONS+= GNUGETOPT "Use GNU getopt" on
. endif
. if defined(SERVER_ONLY)
OPTIONS+= PAM "Build with PAM support" off
. endif
OPTIONS+= MIT_KRB5 "Build with MIT's kerberos support" off
OPTIONS+= HEIMDAL_KRB5 "Builds with Heimdal's kerberos support" off
OPTIONS+= HEIMDAL_KRB5 "Builds with Heimdal kerberos support" off
OPTIONS+= OPTIMIZED_CFLAGS "Builds with compiler optimizations (-O3)" off
. if defined(SERVER_ONLY)
OPTIONS+= LIBC_R "Link with libc_r, needed by plpython" off
@ -82,15 +88,15 @@ OPTIONS+= TESTS "Allows the use of a \"check\" target" off
OPTIONS+= DEBUG "Builds with debugging symbols" off
. if defined(SERVER_ONLY) && defined(WITH_PAM)
CONFIGURE_ARGS+= --with-pam
CONFIGURE_ARGS+=--with-pam
. endif
. if !defined(WITHOUT_GNUGETOPT)
. if !defined(WITHOUT_GNUGETOPT) || exists(${LOCALBASE}/include/getopt.h)
USE_GETOPT_LONG=yes
. endif
. if !(defined(WITHOUT_GETTEXT) || defined(WITHOUT_NLS))
CONFIGURE_ARGS+=--enable-nls
CONFIGURE_ARGS+=--enable-nls --with-includes=${LOCALBASE}/include
PLIST_SUB+= GETTEXT=""
USE_GETTEXT= YES
. else
@ -109,28 +115,21 @@ INSTALL_TARGET= install
INSTALL_TARGET= install-strip
. endif
. if !defined(WITHOUT_SSL)
USE_OPENSSL= yes
CONFIGURE_ARGS+= "--with-openssl=${OPENSSLBASE}"
. endif
. if defined(WITH_MIT_KRB5)
WITH_KRB5= yes
KRB5_HOME?= ${LOCALBASE}
KRB5CONF= ${KRB5_HOME}/bin/krb5-config
LIB_DEPENDS+= krb5.3:${PORTSDIR}/security/krb5
WITH_KRB5= yes
. endif
. if defined(WITH_HEIMDAL_KRB5)
WITH_KRB5= yes
. if defined(HEIMDAL_HOME) && exists(${HEIMDAL_HOME}/lib/libgssapi.a)
CONFIGURE_ARGS+= --with-krb5=${HEIMDAL_HOME}
KRB5CONF= ${HEIMDAL_HOME}/bin/krb5-config
. elif ( defined(MAKE_KERBEROS5) || ${OSVERSION} > 500105 ) && exists(${DESTDIR}/usr/lib/libkrb5.a)
CONFIGURE_ARGS+= --with-krb5=${DESTDIR}/usr
. elif ( ${OSVERSION} > 500105 ) && exists(${DESTDIR}/usr/lib/libkrb5.a)
KRB5CONF= ${DESTDIR}/usr/bin/krb5-config
. else
LIB_DEPENDS+= krb5:${PORTSDIR}/security/heimdal
CONFIGURE_ARGS+= --with-krb5=${LOCALBASE}
KRB5CONF= ${LOCALBASE}/bin/krb5-config
. endif
. endif
@ -143,30 +142,13 @@ CONFIGURE_ENV+= LDFLAGS="${LDFLAGS}"
. if defined(SERVER_ONLY) && defined(WITH_TESTS)
DISTFILES+= postgresql-test-${PORTVERSION}${EXTRACT_SUFX}
EXTRA_PATCHES= ${FILESDIR}/regresspatch-src-test-regress-pgregress-sh
. endif
. if defined(SERVER_ONLY) && defined(WITH_LIBC_R)
CFLAGS+= ${PTHREAD_CFLAGS}
LDFLAGS+= ${PTHREAD_LIBS}
. endif
. if defined(WITH_MIT_KRB5) && defined(WITH_HEIMDAL_KRB5)
@${ECHO} "WITH_MIT_KRB5 and WITH_HEIMDAL_KRB5 are mutually exclusive."
@${ECHO} "Please choose one or the other."
@exit 1
. endif
. if defined(WITH_MIT_KRB5) && !exists(${KRB5CONF})
@${ECHO} "Unable to find krb5-config in your local base, please verify that"
@${ECHO} "security/krb5 is installed or undefine the WITH_MIT_KRB5 tunable."
@exit 1
. endif
. if defined(WITH_HEIMDAL_KRB5) && !exists(${KRB5CONF})
@${ECHO} "Unable to find krb5-config in the base system. Undefine"
@${ECHO} "WITH_HEIMDAL_KRB5 or add MAKE_KERBEROS5=yes to /etc/make.conf"
@${ECHO} "and remake world."
@exit 1
. endif
.endif # !SLAVE_ONLY
.if defined(CLIENT_ONLY)
@ -205,6 +187,14 @@ pre-everything::
.endif
.if !defined(NO_BUILD)
pre-configure:
. if defined(WITH_MIT_KRB5) && defined(WITH_HEIMDAL_KRB5)
@${ECHO} "MIT's and Heimdal Kerberos are mutually exclusive."
@${ECHO} "Please choose one or the other."
@exit 1
. endif
do-build:
@ cd ${WRKSRC}/src/backend ;\
${GMAKE} ../../src/include/parser/parse.h ../../src/include/utils/fmgroids.h
@ -232,10 +222,11 @@ do-install:
cd ${WRKSRC}/$${dir} && \
${SETENV} ${MAKE_ENV} ${GMAKE} ${INSTALL_TARGET}; \
done
${MKDIR} ${PREFIX}/share/postgresql
. if defined(SERVER_ONLY)
. if defined(CLIENT_ONLY)
@ cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${GMAKE} install-all-headers
. for i in profile cshrc
. elif defined(SERVER_ONLY)
@ ${MKDIR} ${PREFIX}/share/postgresql
. for i in profile cshrc
@ ${SED} "s|%%PREFIX%%|${PREFIX}|g" \
< ${FILESDIR}/dot.$i.in \
> ${PREFIX}/share/postgresql/dot.$i.dist; \
@ -243,7 +234,7 @@ do-install:
if [ ! -f ~pgsql/.$i ]; then \
${CP} ${PREFIX}/share/postgresql/dot.$i.dist ~pgsql/.$i; \
fi
. endfor
. endfor
@ ${SED} -e "s|%%PREFIX%%|${PREFIX}|g; s|%%RC_SUBR%%|${RC_SUBR}|g" \
< ${FILESDIR}/pgsql.sh.tmpl \
> ${RCSCRIPT} ;\
@ -255,7 +246,8 @@ do-install:
${PREFIX}/etc/periodic/daily
. endif # SERVER_ONLY
@ if [ -r ${PKGMESSAGE} ]; then \
${INSTALL_DATA} ${PKGMESSAGE} ${PREFIX}/share/postgresql/README${PKGNAMESUFFIX} ;\
${MKDIR} ${DOCSDIR} ;\
${INSTALL_DATA} ${PKGMESSAGE} ${DOCSDIR}/README${PKGNAMESUFFIX} ;\
${ECHO} "======================================================================" ;\
${CAT} ${PKGMESSAGE} ;\
${ECHO} "======================================================================" ;\

View file

@ -18,7 +18,7 @@
# daily_pgsql_backup_enable="YES" # do backup
# daily_pgsql_vacuum_enable="YES" # do vacuum
daily_pgsql_vaccum_enable="NO"
daily_pgsql_vacuum_enable="YES"
daily_pgsql_backup_enable="NO"
daily_pgsql_vacuum_args="-z"

View file

@ -0,0 +1,11 @@
--- src/pl/plpython/Makefile~ Thu Mar 4 08:06:19 2004
+++ src/pl/plpython/Makefile Thu Mar 4 08:06:44 2004
@@ -8,7 +8,7 @@
# On some platforms we can only build PL/Python if libpython is a
# shared library. Since there is no official way to determine this,
# we see if there is a file that is named like a shared library.
-ifneq (,$(wildcard $(python_configdir)/libpython*$(DLSUFFIX)*))
+ifneq (,$(wildcard $(python_configdir)/../../libpython*$(DLSUFFIX)*))
shared_libpython = yes
endif

View file

@ -0,0 +1,12 @@
--- src/test/regress/pg_regress.sh~ Wed Nov 13 17:40:29 2002
+++ src/test/regress/pg_regress.sh Sat Jan 8 05:31:17 2005
@@ -348,6 +348,9 @@
(exit 2); exit
fi
+ # make rest of this script happy
+ echo "syslog = 0" >> $PGDATA/postgresql.conf
+ echo "silent_mode = false" >> $PGDATA/postgresql.conf
# ----------
# Start postmaster

View file

@ -1,8 +0,0 @@
PostgreSQL JDBC support installed!
postgresql.jar resides in
/usr/local/share/java/classes/postgresql.jar
Add this to your CLASSPATH!
java examples reside in
/usr/local/share/examples/postgresql

View file

@ -0,0 +1,3 @@
PL/Python has been installed. Check the createlang(l) manpage for more
info. You can install PL/Python by using "createlang plpythonu" (it
exists as an untrusted language only).

View file

@ -1 +0,0 @@
Now, you should install pgaccess to get a nice GUI for PostgreSQL!

View file

@ -31,6 +31,340 @@ include/postgresql/internal/libpq-int.h
include/postgresql/internal/postgres_fe.h
include/postgresql/internal/pqexpbuffer.h
@dirrm include/postgresql/internal
include/postgresql/server/access/attnum.h
include/postgresql/server/access/clog.h
include/postgresql/server/access/genam.h
include/postgresql/server/access/gist.h
include/postgresql/server/access/gistscan.h
include/postgresql/server/access/hash.h
include/postgresql/server/access/heapam.h
include/postgresql/server/access/hio.h
include/postgresql/server/access/htup.h
include/postgresql/server/access/ibit.h
include/postgresql/server/access/iqual.h
include/postgresql/server/access/istrat.h
include/postgresql/server/access/itup.h
include/postgresql/server/access/nbtree.h
include/postgresql/server/access/printtup.h
include/postgresql/server/access/relscan.h
include/postgresql/server/access/rmgr.h
include/postgresql/server/access/rtree.h
include/postgresql/server/access/rtscan.h
include/postgresql/server/access/sdir.h
include/postgresql/server/access/skey.h
include/postgresql/server/access/strat.h
include/postgresql/server/access/transam.h
include/postgresql/server/access/tupdesc.h
include/postgresql/server/access/tupmacs.h
include/postgresql/server/access/valid.h
include/postgresql/server/access/tuptoaster.h
include/postgresql/server/access/xact.h
include/postgresql/server/access/xlog.h
include/postgresql/server/access/xlogdefs.h
include/postgresql/server/access/xlogutils.h
include/postgresql/server/bootstrap/bootstrap.h
include/postgresql/server/catalog/catalog.h
include/postgresql/server/catalog/catname.h
include/postgresql/server/catalog/catversion.h
include/postgresql/server/catalog/dependency.h
include/postgresql/server/catalog/heap.h
include/postgresql/server/catalog/index.h
include/postgresql/server/catalog/indexing.h
include/postgresql/server/catalog/namespace.h
include/postgresql/server/catalog/pg_aggregate.h
include/postgresql/server/catalog/pg_am.h
include/postgresql/server/catalog/pg_amop.h
include/postgresql/server/catalog/pg_amproc.h
include/postgresql/server/catalog/pg_attrdef.h
include/postgresql/server/catalog/pg_attribute.h
include/postgresql/server/catalog/pg_cast.h
include/postgresql/server/catalog/pg_class.h
include/postgresql/server/catalog/pg_constraint.h
include/postgresql/server/catalog/pg_control.h
include/postgresql/server/catalog/pg_conversion.h
include/postgresql/server/catalog/pg_database.h
include/postgresql/server/catalog/pg_depend.h
include/postgresql/server/catalog/pg_group.h
include/postgresql/server/catalog/pg_description.h
include/postgresql/server/catalog/pg_index.h
include/postgresql/server/catalog/pg_inherits.h
include/postgresql/server/catalog/pg_language.h
include/postgresql/server/catalog/pg_largeobject.h
include/postgresql/server/catalog/pg_listener.h
include/postgresql/server/catalog/pg_namespace.h
include/postgresql/server/catalog/pg_opclass.h
include/postgresql/server/catalog/pg_operator.h
include/postgresql/server/catalog/pg_proc.h
include/postgresql/server/catalog/pg_rewrite.h
include/postgresql/server/catalog/pg_shadow.h
include/postgresql/server/catalog/pg_statistic.h
include/postgresql/server/catalog/pg_trigger.h
include/postgresql/server/catalog/pg_type.h
include/postgresql/server/catalog/pg_version.h
include/postgresql/server/commands/async.h
include/postgresql/server/commands/cluster.h
include/postgresql/server/commands/comment.h
include/postgresql/server/commands/conversioncmds.h
include/postgresql/server/commands/copy.h
include/postgresql/server/commands/dbcommands.h
include/postgresql/server/commands/defrem.h
include/postgresql/server/commands/explain.h
include/postgresql/server/commands/lockcmds.h
include/postgresql/server/commands/portalcmds.h
include/postgresql/server/commands/prepare.h
include/postgresql/server/commands/proclang.h
include/postgresql/server/commands/schemacmds.h
include/postgresql/server/commands/sequence.h
include/postgresql/server/commands/tablecmds.h
include/postgresql/server/commands/trigger.h
include/postgresql/server/commands/user.h
include/postgresql/server/commands/vacuum.h
include/postgresql/server/commands/variable.h
include/postgresql/server/commands/version.h
include/postgresql/server/commands/view.h
include/postgresql/server/executor/execdebug.h
include/postgresql/server/executor/execdefs.h
include/postgresql/server/executor/execdesc.h
include/postgresql/server/executor/executor.h
include/postgresql/server/executor/functions.h
include/postgresql/server/executor/hashjoin.h
include/postgresql/server/executor/instrument.h
include/postgresql/server/executor/nodeAgg.h
include/postgresql/server/executor/nodeAppend.h
include/postgresql/server/executor/nodeFunctionscan.h
include/postgresql/server/executor/nodeGroup.h
include/postgresql/server/executor/nodeHash.h
include/postgresql/server/executor/nodeHashjoin.h
include/postgresql/server/executor/nodeIndexscan.h
include/postgresql/server/executor/nodeLimit.h
include/postgresql/server/executor/nodeMaterial.h
include/postgresql/server/executor/nodeMergejoin.h
include/postgresql/server/executor/nodeNestloop.h
include/postgresql/server/executor/nodeResult.h
include/postgresql/server/executor/nodeSeqscan.h
include/postgresql/server/executor/nodeSetOp.h
include/postgresql/server/executor/nodeSort.h
include/postgresql/server/executor/nodeSubplan.h
include/postgresql/server/executor/nodeSubqueryscan.h
include/postgresql/server/executor/nodeTidscan.h
include/postgresql/server/executor/nodeUnique.h
include/postgresql/server/executor/spi.h
include/postgresql/server/executor/spi_priv.h
include/postgresql/server/executor/tuptable.h
include/postgresql/server/lib/dllist.h
include/postgresql/server/lib/lispsort.h
include/postgresql/server/lib/stringinfo.h
include/postgresql/server/libpq/auth.h
include/postgresql/server/libpq/be-fsstubs.h
include/postgresql/server/libpq/crypt.h
include/postgresql/server/libpq/hba.h
include/postgresql/server/libpq/libpq-be.h
include/postgresql/server/libpq/libpq-fs.h
include/postgresql/server/libpq/libpq.h
include/postgresql/server/libpq/password.h
include/postgresql/server/libpq/pqcomm.h
include/postgresql/server/libpq/pqformat.h
include/postgresql/server/libpq/pqsignal.h
include/postgresql/server/mb/pg_wchar.h
include/postgresql/server/nodes/execnodes.h
include/postgresql/server/nodes/makefuncs.h
include/postgresql/server/nodes/memnodes.h
include/postgresql/server/nodes/nodeFuncs.h
include/postgresql/server/nodes/nodes.h
include/postgresql/server/nodes/params.h
include/postgresql/server/nodes/parsenodes.h
include/postgresql/server/nodes/pg_list.h
include/postgresql/server/nodes/plannodes.h
include/postgresql/server/nodes/primnodes.h
include/postgresql/server/nodes/print.h
include/postgresql/server/nodes/readfuncs.h
include/postgresql/server/nodes/relation.h
include/postgresql/server/optimizer/clauses.h
include/postgresql/server/optimizer/cost.h
include/postgresql/server/optimizer/geqo.h
include/postgresql/server/optimizer/geqo_copy.h
include/postgresql/server/optimizer/geqo_gene.h
include/postgresql/server/optimizer/geqo_misc.h
include/postgresql/server/optimizer/geqo_mutation.h
include/postgresql/server/optimizer/geqo_pool.h
include/postgresql/server/optimizer/geqo_random.h
include/postgresql/server/optimizer/geqo_recombination.h
include/postgresql/server/optimizer/geqo_selection.h
include/postgresql/server/optimizer/joininfo.h
include/postgresql/server/optimizer/pathnode.h
include/postgresql/server/optimizer/paths.h
include/postgresql/server/optimizer/plancat.h
include/postgresql/server/optimizer/planmain.h
include/postgresql/server/optimizer/planner.h
include/postgresql/server/optimizer/prep.h
include/postgresql/server/optimizer/restrictinfo.h
include/postgresql/server/optimizer/subselect.h
include/postgresql/server/optimizer/tlist.h
include/postgresql/server/optimizer/var.h
include/postgresql/server/parser/analyze.h
include/postgresql/server/parser/gramparse.h
include/postgresql/server/parser/keywords.h
include/postgresql/server/parser/parse.h
include/postgresql/server/parser/parse_agg.h
include/postgresql/server/parser/parse_clause.h
include/postgresql/server/parser/parse_coerce.h
include/postgresql/server/parser/parse_expr.h
include/postgresql/server/parser/parse_func.h
include/postgresql/server/parser/parse_node.h
include/postgresql/server/parser/parse_oper.h
include/postgresql/server/parser/parse_relation.h
include/postgresql/server/parser/parse_target.h
include/postgresql/server/parser/parse_type.h
include/postgresql/server/parser/parser.h
include/postgresql/server/parser/parsetree.h
include/postgresql/server/parser/scansup.h
include/postgresql/server/port/aix.h
include/postgresql/server/port/beos.h
include/postgresql/server/port/bsdi.h
include/postgresql/server/port/darwin.h
include/postgresql/server/port/dgux.h
include/postgresql/server/port/freebsd.h
include/postgresql/server/port/hpux.h
include/postgresql/server/port/irix5.h
include/postgresql/server/port/linux.h
include/postgresql/server/port/netbsd.h
include/postgresql/server/port/nextstep.h
include/postgresql/server/port/openbsd.h
include/postgresql/server/port/osf.h
include/postgresql/server/port/qnx4.h
include/postgresql/server/port/sco.h
include/postgresql/server/port/solaris.h
include/postgresql/server/port/sunos4.h
include/postgresql/server/port/svr4.h
include/postgresql/server/port/ultrix4.h
include/postgresql/server/port/univel.h
include/postgresql/server/port/unixware.h
include/postgresql/server/port/win.h
include/postgresql/server/port/win32.h
include/postgresql/server/regex/cclass.h
include/postgresql/server/regex/cname.h
include/postgresql/server/regex/regex.h
include/postgresql/server/regex/regex2.h
include/postgresql/server/regex/utils.h
include/postgresql/server/rewrite/prs2lock.h
include/postgresql/server/rewrite/rewriteDefine.h
include/postgresql/server/rewrite/rewriteHandler.h
include/postgresql/server/rewrite/rewriteManip.h
include/postgresql/server/rewrite/rewriteRemove.h
include/postgresql/server/rewrite/rewriteSupport.h
include/postgresql/server/storage/backendid.h
include/postgresql/server/storage/block.h
include/postgresql/server/storage/buf.h
include/postgresql/server/storage/buf_internals.h
include/postgresql/server/storage/buffile.h
include/postgresql/server/storage/bufmgr.h
include/postgresql/server/storage/bufpage.h
include/postgresql/server/storage/fd.h
include/postgresql/server/storage/freespace.h
include/postgresql/server/storage/ipc.h
include/postgresql/server/storage/item.h
include/postgresql/server/storage/itemid.h
include/postgresql/server/storage/itempos.h
include/postgresql/server/storage/itemptr.h
include/postgresql/server/storage/large_object.h
include/postgresql/server/storage/lmgr.h
include/postgresql/server/storage/lock.h
include/postgresql/server/storage/lwlock.h
include/postgresql/server/storage/off.h
include/postgresql/server/storage/page.h
include/postgresql/server/storage/pg_sema.h
include/postgresql/server/storage/pg_shmem.h
include/postgresql/server/storage/pmsignal.h
include/postgresql/server/storage/pos.h
include/postgresql/server/storage/proc.h
include/postgresql/server/storage/relfilenode.h
include/postgresql/server/storage/s_lock.h
include/postgresql/server/storage/shmem.h
include/postgresql/server/storage/sinval.h
include/postgresql/server/storage/sinvaladt.h
include/postgresql/server/storage/smgr.h
include/postgresql/server/storage/spin.h
include/postgresql/server/tcop/dest.h
include/postgresql/server/tcop/fastpath.h
include/postgresql/server/tcop/pquery.h
include/postgresql/server/tcop/tcopdebug.h
include/postgresql/server/tcop/tcopprot.h
include/postgresql/server/tcop/utility.h
include/postgresql/server/utils/acl.h
include/postgresql/server/utils/array.h
include/postgresql/server/utils/ascii.h
include/postgresql/server/utils/bit.h
include/postgresql/server/utils/builtins.h
include/postgresql/server/utils/cash.h
include/postgresql/server/utils/catcache.h
include/postgresql/server/utils/date.h
include/postgresql/server/utils/datetime.h
include/postgresql/server/utils/datum.h
include/postgresql/server/utils/dynahash.h
include/postgresql/server/utils/dynamic_loader.h
include/postgresql/server/utils/elog.h
include/postgresql/server/utils/fcache.h
include/postgresql/server/utils/fmgroids.h
include/postgresql/server/utils/fmgrtab.h
include/postgresql/server/utils/formatting.h
include/postgresql/server/utils/geo_decls.h
include/postgresql/server/utils/guc.h
include/postgresql/server/utils/hsearch.h
include/postgresql/server/utils/inet.h
include/postgresql/server/utils/int8.h
include/postgresql/server/utils/inval.h
include/postgresql/server/utils/logtape.h
include/postgresql/server/utils/lsyscache.h
include/postgresql/server/utils/memutils.h
include/postgresql/server/utils/nabstime.h
include/postgresql/server/utils/numeric.h
include/postgresql/server/utils/palloc.h
include/postgresql/server/utils/pg_crc.h
include/postgresql/server/utils/pg_locale.h
include/postgresql/server/utils/pg_lzcompress.h
include/postgresql/server/utils/portal.h
include/postgresql/server/utils/ps_status.h
include/postgresql/server/utils/rel.h
include/postgresql/server/utils/relcache.h
include/postgresql/server/utils/selfuncs.h
include/postgresql/server/utils/sets.h
include/postgresql/server/utils/syscache.h
include/postgresql/server/utils/timestamp.h
include/postgresql/server/utils/tqual.h
include/postgresql/server/utils/tuplesort.h
include/postgresql/server/utils/tuplestore.h
include/postgresql/server/utils/varbit.h
include/postgresql/server/pg_config.h
include/postgresql/server/pg_config_os.h
include/postgresql/server/c.h
include/postgresql/server/dynloader.h
include/postgresql/server/fmgr.h
include/postgresql/server/funcapi.h
include/postgresql/server/miscadmin.h
include/postgresql/server/pgstat.h
include/postgresql/server/postgres.h
include/postgresql/server/postgres_ext.h
include/postgresql/server/postgres_fe.h
include/postgresql/server/rusagestub.h
include/postgresql/server/strdup.h
@dirrm include/postgresql/server/access
@dirrm include/postgresql/server/bootstrap
@dirrm include/postgresql/server/catalog
@dirrm include/postgresql/server/commands
@dirrm include/postgresql/server/executor
@dirrm include/postgresql/server/lib
@dirrm include/postgresql/server/libpq
@dirrm include/postgresql/server/mb
@dirrm include/postgresql/server/nodes
@dirrm include/postgresql/server/optimizer
@dirrm include/postgresql/server/parser
@dirrm include/postgresql/server/port
@dirrm include/postgresql/server/regex
@dirrm include/postgresql/server/rewrite
@dirrm include/postgresql/server/storage
@dirrm include/postgresql/server/tcop
@dirrm include/postgresql/server/utils
@dirrm include/postgresql/server
include/ecpgerrno.h
include/ecpglib.h
include/ecpgtype.h
@ -46,48 +380,51 @@ lib/libecpg.so.3
lib/libpq.a
lib/libpq.so
lib/libpq.so.3
@unexec rmdir %D/lib/postgresql 2>/dev/null || true
share/postgresql/README-client
%%DOCSDIR%%/README-client
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true
@unexec rmdir %D/share/postgresql 2>/dev/null || true
%%GETTEXT%%share/locale/cs/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/cs/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/cs/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/cs/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/de/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/de/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/ru/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/ru/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/sv/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/sv/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/fr/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/de/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/es/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/fr/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/hu/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/fr/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/hu/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/hu/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/es/LC_MESSAGES/libpq.mo
%%GETTEXT%%@unexec rmdir %D/share/locale/*/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/* 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale 2>/dev/null || true
%%GETTEXT%%share/locale/hu/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/ru/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/ru/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/sv/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/sv/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_resetxlog.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/psql.mo
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/libpq.mo
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/psql.mo
%%GETTEXT%%@unexec rmdir %D/share/locale/cs/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/cs 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_CN/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_CN 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_TW/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_TW 2>/dev/null || true
@dirrm include/postgresql

View file

@ -52,6 +52,7 @@ lib/postgresql/tablefunc.so
lib/postgresql/timetravel.so
lib/postgresql/tsearch.so
lib/postgresql/user_locks.so
%%DOCSDIR%%/README-contrib
%%DOCSDIR%%/contrib/README
%%DOCSDIR%%/contrib/README.apachelog
%%DOCSDIR%%/contrib/README.array_iterator
@ -132,7 +133,6 @@ share/postgresql/contrib/tablefunc.sql
share/postgresql/contrib/timetravel.sql
share/postgresql/contrib/tsearch.sql
share/postgresql/contrib/user_locks.sql
share/postgresql/README-contrib
@unexec rmdir %D/share/postgresql/contrib >&2 2> /dev/null || true
@unexec rmdir %D/share/postgresql >&2 2> /dev/null || true
@unexec rmdir %D/%%DOCSDIR%%/contrib >&2 2> /dev/null || true

View file

@ -1,27 +0,0 @@
%%PORTDOCS%%%%EXAMPLESDIR%%/ImageViewer.java
%%PORTDOCS%%%%EXAMPLESDIR%%/README
%%PORTDOCS%%%%EXAMPLESDIR%%/Unicode.java
%%PORTDOCS%%%%EXAMPLESDIR%%/basic.java
%%PORTDOCS%%%%EXAMPLESDIR%%/blobtest.java
%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockClient.java
%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockDB.java
%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockDispenserImpl.java
%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockItemImpl.java
%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockServer.java
%%PORTDOCS%%%%EXAMPLESDIR%%/corba/readme
%%PORTDOCS%%%%EXAMPLESDIR%%/corba/stock.idl
%%PORTDOCS%%%%EXAMPLESDIR%%/corba/stock.sql
%%PORTDOCS%%%%EXAMPLESDIR%%/datestyle.java
%%PORTDOCS%%%%EXAMPLESDIR%%/metadata.java
%%PORTDOCS%%%%EXAMPLESDIR%%/psql.java
%%PORTDOCS%%%%EXAMPLESDIR%%/threadsafe.java
share/java/classes/postgresql.jar
@unexec rmdir %D/share/java/classes 2>/dev/null || true
@unexec rmdir %D/share/java 2>/dev/null || true
%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%/corba
@unexec rmdir %D/%%EXAMPLESDIR%% 2>/dev/null || true
share/postgresql/java/postgresql-examples.jar
share/postgresql/java/postgresql.jar
@dirrm share/postgresql/java
share/postgresql/README-jdbc
@unexec rmdir %D/share/postgresql 2>/dev/null || true

View file

@ -1,2 +1,4 @@
%%DOCSDIR%%/README-plperl
lib/postgresql/plperl.so
@unexec rmdir %D/lib/postgresql 2>/dev/null || true
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true

View file

@ -0,0 +1,4 @@
%%DOCSDIR%%/README-plpython
lib/postgresql/plpython.so
@unexec rmdir %D/lib/postgresql 2>/dev/null || true
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true

View file

@ -1,8 +1,9 @@
%%DOCSDIR%%/README-pltcl
lib/postgresql/pltcl.so
@unexec rmdir %D/lib/postgresql 2>/dev/null || true
bin/pltcl_loadmod
bin/pltcl_delmod
bin/pltcl_listmod
share/postgresql/README-pltcl
share/postgresql/unknown.pltcl
@unexec rmdir %D/share/postgresql 2>/dev/null || true
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true

View file

@ -1,6 +1,7 @@
bin/postmaster
bin/postgres
etc/periodic/daily/502.pgsql
etc/rc.d/postgresql.sh
lib/postgresql/ascii_and_mic.so
lib/postgresql/cyrillic_and_mic.so
lib/postgresql/euc_cn_and_mic.so
@ -28,7 +29,8 @@ lib/postgresql/utf8_and_win1250.so
lib/postgresql/utf8_and_win1256.so
lib/postgresql/utf8_and_win874.so
lib/postgresql/plpgsql.so
share/postgresql/README-server
%%DOCSDIR%%/README-server
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true
share/postgresql/postgres.bki
share/postgresql/postgres.description
share/postgresql/pg_hba.conf.sample
@ -45,6 +47,12 @@ share/postgresql/conversion_create.sql
%%GETTEXT%%share/locale/tr/LC_MESSAGES/postgres.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/postgres.mo
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/postgres.mo
%%GETTEXT%%@unexec rmdir %D/share/locale/cs/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/cs 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_CN/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_CN 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_TW/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_TW 2>/dev/null || true
@unexec if cmp -s ~pgsql/.profile %D/share/postgresql/dot.profile.dist; then rm -f ~pgsql/.profile; fi
@unexec if cmp -s ~pgsql/.cshrc %D/share/postgresql/dot.cshrc.dist; then rm -f ~pgsql/.cshrc; fi
@unexec [ -f ~pgsql/dot.profile.dist ] && rm ~pgsql/dot.profile.dist
@ -55,342 +63,9 @@ share/postgresql/dot.cshrc.dist
@exec [ -f %D/share/postgresql/dot.cshrc.dist ] && cp %D/share/postgresql/dot.cshrc.dist ~pgsql/.
@exec [ -f ~pgsql/.profile ] || (cp %D/share/postgresql/dot.profile.dist ~pgsql/.profile && chown pgsql:pgsql ~pgsql/.profile)
@exec [ -f ~pgsql/.cshrc ] || (cp %D/share/postgresql/dot.cshrc.dist ~pgsql/.cshrc && chown pgsql:pgsql ~pgsql/.cshrc)
@unexec rmdir ~pgsql 2> /dev/null || true
@unexec echo "Warning: If you will *NOT* use this package anymore, please remove %D/pgsql and the pgsql user manually."
@unexec echo "Warning: If you will *NOT* use this package anymore, please remove the pgsql user manually."
@unexec rmdir %D/share/postgresql 2>/dev/null || true
@unexec rmdir %D/etc/periodic/daily 2>/dev/null || true
etc/rc.d/postgresql.sh
include/postgresql/server/access/attnum.h
include/postgresql/server/access/clog.h
include/postgresql/server/access/genam.h
include/postgresql/server/access/gist.h
include/postgresql/server/access/gistscan.h
include/postgresql/server/access/hash.h
include/postgresql/server/access/heapam.h
include/postgresql/server/access/hio.h
include/postgresql/server/access/htup.h
include/postgresql/server/access/ibit.h
include/postgresql/server/access/iqual.h
include/postgresql/server/access/istrat.h
include/postgresql/server/access/itup.h
include/postgresql/server/access/nbtree.h
include/postgresql/server/access/printtup.h
include/postgresql/server/access/relscan.h
include/postgresql/server/access/rmgr.h
include/postgresql/server/access/rtree.h
include/postgresql/server/access/rtscan.h
include/postgresql/server/access/sdir.h
include/postgresql/server/access/skey.h
include/postgresql/server/access/strat.h
include/postgresql/server/access/transam.h
include/postgresql/server/access/tupdesc.h
include/postgresql/server/access/tupmacs.h
include/postgresql/server/access/valid.h
include/postgresql/server/access/tuptoaster.h
include/postgresql/server/access/xact.h
include/postgresql/server/access/xlog.h
include/postgresql/server/access/xlogdefs.h
include/postgresql/server/access/xlogutils.h
include/postgresql/server/bootstrap/bootstrap.h
include/postgresql/server/catalog/catalog.h
include/postgresql/server/catalog/catname.h
include/postgresql/server/catalog/catversion.h
include/postgresql/server/catalog/dependency.h
include/postgresql/server/catalog/heap.h
include/postgresql/server/catalog/index.h
include/postgresql/server/catalog/indexing.h
include/postgresql/server/catalog/namespace.h
include/postgresql/server/catalog/pg_aggregate.h
include/postgresql/server/catalog/pg_am.h
include/postgresql/server/catalog/pg_amop.h
include/postgresql/server/catalog/pg_amproc.h
include/postgresql/server/catalog/pg_attrdef.h
include/postgresql/server/catalog/pg_attribute.h
include/postgresql/server/catalog/pg_cast.h
include/postgresql/server/catalog/pg_class.h
include/postgresql/server/catalog/pg_constraint.h
include/postgresql/server/catalog/pg_control.h
include/postgresql/server/catalog/pg_conversion.h
include/postgresql/server/catalog/pg_database.h
include/postgresql/server/catalog/pg_depend.h
include/postgresql/server/catalog/pg_group.h
include/postgresql/server/catalog/pg_description.h
include/postgresql/server/catalog/pg_index.h
include/postgresql/server/catalog/pg_inherits.h
include/postgresql/server/catalog/pg_language.h
include/postgresql/server/catalog/pg_largeobject.h
include/postgresql/server/catalog/pg_listener.h
include/postgresql/server/catalog/pg_namespace.h
include/postgresql/server/catalog/pg_opclass.h
include/postgresql/server/catalog/pg_operator.h
include/postgresql/server/catalog/pg_proc.h
include/postgresql/server/catalog/pg_rewrite.h
include/postgresql/server/catalog/pg_shadow.h
include/postgresql/server/catalog/pg_statistic.h
include/postgresql/server/catalog/pg_trigger.h
include/postgresql/server/catalog/pg_type.h
include/postgresql/server/catalog/pg_version.h
include/postgresql/server/commands/async.h
include/postgresql/server/commands/cluster.h
include/postgresql/server/commands/comment.h
include/postgresql/server/commands/conversioncmds.h
include/postgresql/server/commands/copy.h
include/postgresql/server/commands/dbcommands.h
include/postgresql/server/commands/defrem.h
include/postgresql/server/commands/explain.h
include/postgresql/server/commands/lockcmds.h
include/postgresql/server/commands/portalcmds.h
include/postgresql/server/commands/prepare.h
include/postgresql/server/commands/proclang.h
include/postgresql/server/commands/schemacmds.h
include/postgresql/server/commands/sequence.h
include/postgresql/server/commands/tablecmds.h
include/postgresql/server/commands/trigger.h
include/postgresql/server/commands/user.h
include/postgresql/server/commands/vacuum.h
include/postgresql/server/commands/variable.h
include/postgresql/server/commands/version.h
include/postgresql/server/commands/view.h
include/postgresql/server/executor/execdebug.h
include/postgresql/server/executor/execdefs.h
include/postgresql/server/executor/execdesc.h
include/postgresql/server/executor/executor.h
include/postgresql/server/executor/functions.h
include/postgresql/server/executor/hashjoin.h
include/postgresql/server/executor/instrument.h
include/postgresql/server/executor/nodeAgg.h
include/postgresql/server/executor/nodeAppend.h
include/postgresql/server/executor/nodeFunctionscan.h
include/postgresql/server/executor/nodeGroup.h
include/postgresql/server/executor/nodeHash.h
include/postgresql/server/executor/nodeHashjoin.h
include/postgresql/server/executor/nodeIndexscan.h
include/postgresql/server/executor/nodeLimit.h
include/postgresql/server/executor/nodeMaterial.h
include/postgresql/server/executor/nodeMergejoin.h
include/postgresql/server/executor/nodeNestloop.h
include/postgresql/server/executor/nodeResult.h
include/postgresql/server/executor/nodeSeqscan.h
include/postgresql/server/executor/nodeSetOp.h
include/postgresql/server/executor/nodeSort.h
include/postgresql/server/executor/nodeSubplan.h
include/postgresql/server/executor/nodeSubqueryscan.h
include/postgresql/server/executor/nodeTidscan.h
include/postgresql/server/executor/nodeUnique.h
include/postgresql/server/executor/spi.h
include/postgresql/server/executor/spi_priv.h
include/postgresql/server/executor/tuptable.h
include/postgresql/server/lib/dllist.h
include/postgresql/server/lib/lispsort.h
include/postgresql/server/lib/stringinfo.h
include/postgresql/server/libpq/auth.h
include/postgresql/server/libpq/be-fsstubs.h
include/postgresql/server/libpq/crypt.h
include/postgresql/server/libpq/hba.h
include/postgresql/server/libpq/libpq-be.h
include/postgresql/server/libpq/libpq-fs.h
include/postgresql/server/libpq/libpq.h
include/postgresql/server/libpq/password.h
include/postgresql/server/libpq/pqcomm.h
include/postgresql/server/libpq/pqformat.h
include/postgresql/server/libpq/pqsignal.h
include/postgresql/server/mb/pg_wchar.h
include/postgresql/server/nodes/execnodes.h
include/postgresql/server/nodes/makefuncs.h
include/postgresql/server/nodes/memnodes.h
include/postgresql/server/nodes/nodeFuncs.h
include/postgresql/server/nodes/nodes.h
include/postgresql/server/nodes/params.h
include/postgresql/server/nodes/parsenodes.h
include/postgresql/server/nodes/pg_list.h
include/postgresql/server/nodes/plannodes.h
include/postgresql/server/nodes/primnodes.h
include/postgresql/server/nodes/print.h
include/postgresql/server/nodes/readfuncs.h
include/postgresql/server/nodes/relation.h
include/postgresql/server/optimizer/clauses.h
include/postgresql/server/optimizer/cost.h
include/postgresql/server/optimizer/geqo.h
include/postgresql/server/optimizer/geqo_copy.h
include/postgresql/server/optimizer/geqo_gene.h
include/postgresql/server/optimizer/geqo_misc.h
include/postgresql/server/optimizer/geqo_mutation.h
include/postgresql/server/optimizer/geqo_pool.h
include/postgresql/server/optimizer/geqo_random.h
include/postgresql/server/optimizer/geqo_recombination.h
include/postgresql/server/optimizer/geqo_selection.h
include/postgresql/server/optimizer/joininfo.h
include/postgresql/server/optimizer/pathnode.h
include/postgresql/server/optimizer/paths.h
include/postgresql/server/optimizer/plancat.h
include/postgresql/server/optimizer/planmain.h
include/postgresql/server/optimizer/planner.h
include/postgresql/server/optimizer/prep.h
include/postgresql/server/optimizer/restrictinfo.h
include/postgresql/server/optimizer/subselect.h
include/postgresql/server/optimizer/tlist.h
include/postgresql/server/optimizer/var.h
include/postgresql/server/parser/analyze.h
include/postgresql/server/parser/gramparse.h
include/postgresql/server/parser/keywords.h
include/postgresql/server/parser/parse.h
include/postgresql/server/parser/parse_agg.h
include/postgresql/server/parser/parse_clause.h
include/postgresql/server/parser/parse_coerce.h
include/postgresql/server/parser/parse_expr.h
include/postgresql/server/parser/parse_func.h
include/postgresql/server/parser/parse_node.h
include/postgresql/server/parser/parse_oper.h
include/postgresql/server/parser/parse_relation.h
include/postgresql/server/parser/parse_target.h
include/postgresql/server/parser/parse_type.h
include/postgresql/server/parser/parser.h
include/postgresql/server/parser/parsetree.h
include/postgresql/server/parser/scansup.h
include/postgresql/server/port/aix.h
include/postgresql/server/port/beos.h
include/postgresql/server/port/bsdi.h
include/postgresql/server/port/darwin.h
include/postgresql/server/port/dgux.h
include/postgresql/server/port/freebsd.h
include/postgresql/server/port/hpux.h
include/postgresql/server/port/irix5.h
include/postgresql/server/port/linux.h
include/postgresql/server/port/netbsd.h
include/postgresql/server/port/nextstep.h
include/postgresql/server/port/openbsd.h
include/postgresql/server/port/osf.h
include/postgresql/server/port/qnx4.h
include/postgresql/server/port/sco.h
include/postgresql/server/port/solaris.h
include/postgresql/server/port/sunos4.h
include/postgresql/server/port/svr4.h
include/postgresql/server/port/ultrix4.h
include/postgresql/server/port/univel.h
include/postgresql/server/port/unixware.h
include/postgresql/server/port/win.h
include/postgresql/server/port/win32.h
include/postgresql/server/regex/cclass.h
include/postgresql/server/regex/cname.h
include/postgresql/server/regex/regex.h
include/postgresql/server/regex/regex2.h
include/postgresql/server/regex/utils.h
include/postgresql/server/rewrite/prs2lock.h
include/postgresql/server/rewrite/rewriteDefine.h
include/postgresql/server/rewrite/rewriteHandler.h
include/postgresql/server/rewrite/rewriteManip.h
include/postgresql/server/rewrite/rewriteRemove.h
include/postgresql/server/rewrite/rewriteSupport.h
include/postgresql/server/storage/backendid.h
include/postgresql/server/storage/block.h
include/postgresql/server/storage/buf.h
include/postgresql/server/storage/buf_internals.h
include/postgresql/server/storage/buffile.h
include/postgresql/server/storage/bufmgr.h
include/postgresql/server/storage/bufpage.h
include/postgresql/server/storage/fd.h
include/postgresql/server/storage/freespace.h
include/postgresql/server/storage/ipc.h
include/postgresql/server/storage/item.h
include/postgresql/server/storage/itemid.h
include/postgresql/server/storage/itempos.h
include/postgresql/server/storage/itemptr.h
include/postgresql/server/storage/large_object.h
include/postgresql/server/storage/lmgr.h
include/postgresql/server/storage/lock.h
include/postgresql/server/storage/lwlock.h
include/postgresql/server/storage/off.h
include/postgresql/server/storage/page.h
include/postgresql/server/storage/pg_sema.h
include/postgresql/server/storage/pg_shmem.h
include/postgresql/server/storage/pmsignal.h
include/postgresql/server/storage/pos.h
include/postgresql/server/storage/proc.h
include/postgresql/server/storage/relfilenode.h
include/postgresql/server/storage/s_lock.h
include/postgresql/server/storage/shmem.h
include/postgresql/server/storage/sinval.h
include/postgresql/server/storage/sinvaladt.h
include/postgresql/server/storage/smgr.h
include/postgresql/server/storage/spin.h
include/postgresql/server/tcop/dest.h
include/postgresql/server/tcop/fastpath.h
include/postgresql/server/tcop/pquery.h
include/postgresql/server/tcop/tcopdebug.h
include/postgresql/server/tcop/tcopprot.h
include/postgresql/server/tcop/utility.h
include/postgresql/server/utils/acl.h
include/postgresql/server/utils/array.h
include/postgresql/server/utils/ascii.h
include/postgresql/server/utils/bit.h
include/postgresql/server/utils/builtins.h
include/postgresql/server/utils/cash.h
include/postgresql/server/utils/catcache.h
include/postgresql/server/utils/date.h
include/postgresql/server/utils/datetime.h
include/postgresql/server/utils/datum.h
include/postgresql/server/utils/dynahash.h
include/postgresql/server/utils/dynamic_loader.h
include/postgresql/server/utils/elog.h
include/postgresql/server/utils/fcache.h
include/postgresql/server/utils/fmgroids.h
include/postgresql/server/utils/fmgrtab.h
include/postgresql/server/utils/formatting.h
include/postgresql/server/utils/geo_decls.h
include/postgresql/server/utils/guc.h
include/postgresql/server/utils/hsearch.h
include/postgresql/server/utils/inet.h
include/postgresql/server/utils/int8.h
include/postgresql/server/utils/inval.h
include/postgresql/server/utils/logtape.h
include/postgresql/server/utils/lsyscache.h
include/postgresql/server/utils/memutils.h
include/postgresql/server/utils/nabstime.h
include/postgresql/server/utils/numeric.h
include/postgresql/server/utils/palloc.h
include/postgresql/server/utils/pg_crc.h
include/postgresql/server/utils/pg_locale.h
include/postgresql/server/utils/pg_lzcompress.h
include/postgresql/server/utils/portal.h
include/postgresql/server/utils/ps_status.h
include/postgresql/server/utils/rel.h
include/postgresql/server/utils/relcache.h
include/postgresql/server/utils/selfuncs.h
include/postgresql/server/utils/sets.h
include/postgresql/server/utils/syscache.h
include/postgresql/server/utils/timestamp.h
include/postgresql/server/utils/tqual.h
include/postgresql/server/utils/tuplesort.h
include/postgresql/server/utils/tuplestore.h
include/postgresql/server/utils/varbit.h
include/postgresql/server/pg_config.h
include/postgresql/server/pg_config_os.h
include/postgresql/server/c.h
include/postgresql/server/dynloader.h
include/postgresql/server/fmgr.h
include/postgresql/server/funcapi.h
include/postgresql/server/miscadmin.h
include/postgresql/server/pgstat.h
include/postgresql/server/postgres.h
include/postgresql/server/postgres_ext.h
include/postgresql/server/postgres_fe.h
include/postgresql/server/rusagestub.h
include/postgresql/server/strdup.h
@dirrm include/postgresql/server/access
@dirrm include/postgresql/server/bootstrap
@dirrm include/postgresql/server/catalog
@dirrm include/postgresql/server/commands
@dirrm include/postgresql/server/executor
@dirrm include/postgresql/server/lib
@dirrm include/postgresql/server/libpq
@dirrm include/postgresql/server/mb
@dirrm include/postgresql/server/nodes
@dirrm include/postgresql/server/optimizer
@dirrm include/postgresql/server/parser
@dirrm include/postgresql/server/port
@dirrm include/postgresql/server/regex
@dirrm include/postgresql/server/rewrite
@dirrm include/postgresql/server/storage
@dirrm include/postgresql/server/tcop
@dirrm include/postgresql/server/utils
@dirrm include/postgresql/server
@unexec rmdir %D/etc/periodic 2>/dev/null || true
@unexec rmdir %D/lib/postgresql 2>/dev/null || true
@unexec rmdir %D/pgsql 2>/dev/null || true

View file

@ -1,11 +0,0 @@
bin/pgtclsh
include/libpgtcl.h
lib/tcl%%TCLVERSION%%/Pgtcl1.3/pkgIndex.tcl
@dirrm lib/tcl%%TCLVERSION%%/Pgtcl1.3
@unexec rmdir %D/lib/tcl%%TCLVERSION%% 2>/dev/null || true
lib/libpgtcl.a
lib/libpgtcl.so
lib/libpgtcl.so.2
%%TK%%bin/pgtksh
share/postgresql/README-tcltk
@unexec rmdir %D/share/postgresql 2>/dev/null || true

View file

@ -18,13 +18,10 @@ DISTFILES?= postgresql-base-${PORTVERSION}${EXTRACT_SUFX} \
MAINTAINER?= girgen@FreeBSD.org
COMMENT?= The most advanced open-source database available anywhere
# XXX: this will eventually go away
.if !defined(PGSQL_WORK_IN_PROGRESS)
BROKEN= Work in progress, please use databases/postgresql7 until further notice
.endif
CONFLICTS?= ${PORTNAME}${PKGNAMESUFFIX}-7.[0-35-9]* \
${PORTNAME}${PKGNAMESUFFIX}-8.*
${PORTNAME}${PKGNAMESUFFIX}-8.* \
${PORTNAME}-client-7.[0-35-9]* \
${PORTNAME}-client-8.*
WRKSRC= ${WRKDIR}/postgresql-${PORTVERSION}
DIST_SUBDIR= postgresql
@ -38,8 +35,8 @@ GNU_CONFIGURE= YES
.undef GNU_CONFIGURE
.endif
CONFIGURE_ARGS?=--with-libraries=${LOCALBASE}/lib \
--with-includes=${LOCALBASE}/include
CONFIGURE_ARGS+=--with-libraries=${LOCALBASE}/lib \
--docdir=${DOCSDIR}
CONFIGURE_ENV+= LDFLAGS="${LDFLAGS}"
PLIST= ${PKGDIR}/pkg-plist${PKGNAMESUFFIX}
@ -58,21 +55,30 @@ WANT_PGSQL_VER= ${PORTVERSION:C/([0-9][0-9]*)\.([0-9][0-9]*).*/\1\2/g}
.if !defined(SLAVE_ONLY)
OPTIONS= NLS "Use internationalized messages" on
OPTIONS+= SSL "Build with SSL" on
.endif
# Cannot check this with standard OPTION due to a catch-22.
# USE_OPENSSL must precede bsd.port.pre.mk, but then we don't know
# what OPTIONS are set.
#
# If you *don't* want SSL, set WITHOUT_SSL=YES when making
.if !defined(WITHOUT_SSL)
USE_OPENSSL= yes
CONFIGURE_ARGS+=--with-openssl
.endif
.include <bsd.port.pre.mk>
.if !defined(SLAVE_ONLY)
# gnugetopt will always be used if already installed
. if ${OSVERSION} < 500041
OPTIONS+= GNUGETOPT "Depend on GNU getopt" on
. if (${OSVERSION} < 500041) && !exists(${LOCALBASE}/include/getopt.h)
OPTIONS+= GNUGETOPT "Use GNU getopt" on
. endif
. if defined(SERVER_ONLY)
OPTIONS+= PAM "Build with PAM support" off
. endif
OPTIONS+= MIT_KRB5 "Build with MIT's kerberos support" off
OPTIONS+= HEIMDAL_KRB5 "Builds with Heimdal's kerberos support" off
OPTIONS+= HEIMDAL_KRB5 "Builds with Heimdal kerberos support" off
OPTIONS+= OPTIMIZED_CFLAGS "Builds with compiler optimizations (-O3)" off
. if defined(SERVER_ONLY)
OPTIONS+= LIBC_R "Link with libc_r, needed by plpython" off
@ -82,15 +88,15 @@ OPTIONS+= TESTS "Allows the use of a \"check\" target" off
OPTIONS+= DEBUG "Builds with debugging symbols" off
. if defined(SERVER_ONLY) && defined(WITH_PAM)
CONFIGURE_ARGS+= --with-pam
CONFIGURE_ARGS+=--with-pam
. endif
. if !defined(WITHOUT_GNUGETOPT)
. if !defined(WITHOUT_GNUGETOPT) || exists(${LOCALBASE}/include/getopt.h)
USE_GETOPT_LONG=yes
. endif
. if !(defined(WITHOUT_GETTEXT) || defined(WITHOUT_NLS))
CONFIGURE_ARGS+=--enable-nls
CONFIGURE_ARGS+=--enable-nls --with-includes=${LOCALBASE}/include
PLIST_SUB+= GETTEXT=""
USE_GETTEXT= YES
. else
@ -109,28 +115,21 @@ INSTALL_TARGET= install
INSTALL_TARGET= install-strip
. endif
. if !defined(WITHOUT_SSL)
USE_OPENSSL= yes
CONFIGURE_ARGS+= "--with-openssl=${OPENSSLBASE}"
. endif
. if defined(WITH_MIT_KRB5)
WITH_KRB5= yes
KRB5_HOME?= ${LOCALBASE}
KRB5CONF= ${KRB5_HOME}/bin/krb5-config
LIB_DEPENDS+= krb5.3:${PORTSDIR}/security/krb5
WITH_KRB5= yes
. endif
. if defined(WITH_HEIMDAL_KRB5)
WITH_KRB5= yes
. if defined(HEIMDAL_HOME) && exists(${HEIMDAL_HOME}/lib/libgssapi.a)
CONFIGURE_ARGS+= --with-krb5=${HEIMDAL_HOME}
KRB5CONF= ${HEIMDAL_HOME}/bin/krb5-config
. elif ( defined(MAKE_KERBEROS5) || ${OSVERSION} > 500105 ) && exists(${DESTDIR}/usr/lib/libkrb5.a)
CONFIGURE_ARGS+= --with-krb5=${DESTDIR}/usr
. elif ( ${OSVERSION} > 500105 ) && exists(${DESTDIR}/usr/lib/libkrb5.a)
KRB5CONF= ${DESTDIR}/usr/bin/krb5-config
. else
LIB_DEPENDS+= krb5:${PORTSDIR}/security/heimdal
CONFIGURE_ARGS+= --with-krb5=${LOCALBASE}
KRB5CONF= ${LOCALBASE}/bin/krb5-config
. endif
. endif
@ -143,30 +142,13 @@ CONFIGURE_ENV+= LDFLAGS="${LDFLAGS}"
. if defined(SERVER_ONLY) && defined(WITH_TESTS)
DISTFILES+= postgresql-test-${PORTVERSION}${EXTRACT_SUFX}
EXTRA_PATCHES= ${FILESDIR}/regresspatch-src-test-regress-pgregress-sh
. endif
. if defined(SERVER_ONLY) && defined(WITH_LIBC_R)
CFLAGS+= ${PTHREAD_CFLAGS}
LDFLAGS+= ${PTHREAD_LIBS}
. endif
. if defined(WITH_MIT_KRB5) && defined(WITH_HEIMDAL_KRB5)
@${ECHO} "WITH_MIT_KRB5 and WITH_HEIMDAL_KRB5 are mutually exclusive."
@${ECHO} "Please choose one or the other."
@exit 1
. endif
. if defined(WITH_MIT_KRB5) && !exists(${KRB5CONF})
@${ECHO} "Unable to find krb5-config in your local base, please verify that"
@${ECHO} "security/krb5 is installed or undefine the WITH_MIT_KRB5 tunable."
@exit 1
. endif
. if defined(WITH_HEIMDAL_KRB5) && !exists(${KRB5CONF})
@${ECHO} "Unable to find krb5-config in the base system. Undefine"
@${ECHO} "WITH_HEIMDAL_KRB5 or add MAKE_KERBEROS5=yes to /etc/make.conf"
@${ECHO} "and remake world."
@exit 1
. endif
.endif # !SLAVE_ONLY
.if defined(CLIENT_ONLY)
@ -208,6 +190,14 @@ pre-everything::
.endif
.if !defined(NO_BUILD)
pre-configure:
. if defined(WITH_MIT_KRB5) && defined(WITH_HEIMDAL_KRB5)
@${ECHO} "MIT's and Heimdal Kerberos are mutually exclusive."
@${ECHO} "Please choose one or the other."
@exit 1
. endif
do-build:
@ cd ${WRKSRC}/src/backend ;\
${GMAKE} ../../src/include/parser/parse.h ../../src/include/utils/fmgroids.h
@ -235,10 +225,11 @@ do-install:
cd ${WRKSRC}/$${dir} && \
${SETENV} ${MAKE_ENV} ${GMAKE} ${INSTALL_TARGET}; \
done
${MKDIR} ${PREFIX}/share/postgresql
. if defined(SERVER_ONLY)
. if defined(CLIENT_ONLY)
@ cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${GMAKE} install-all-headers
. for i in profile cshrc
. elif defined(SERVER_ONLY)
@ ${MKDIR} ${PREFIX}/share/postgresql
. for i in profile cshrc
@ ${SED} "s|%%PREFIX%%|${PREFIX}|g" \
< ${FILESDIR}/dot.$i.in \
> ${PREFIX}/share/postgresql/dot.$i.dist; \
@ -246,7 +237,7 @@ do-install:
if [ ! -f ~pgsql/.$i ]; then \
${CP} ${PREFIX}/share/postgresql/dot.$i.dist ~pgsql/.$i; \
fi
. endfor
. endfor
@ ${SED} -e "s|%%PREFIX%%|${PREFIX}|g; s|%%RC_SUBR%%|${RC_SUBR}|g" \
< ${FILESDIR}/pgsql.sh.tmpl \
> ${RCSCRIPT} ;\
@ -258,7 +249,8 @@ do-install:
${PREFIX}/etc/periodic/daily
. endif # SERVER_ONLY
@ if [ -r ${PKGMESSAGE} ]; then \
${INSTALL_DATA} ${PKGMESSAGE} ${PREFIX}/share/postgresql/README${PKGNAMESUFFIX} ;\
${MKDIR} ${DOCSDIR} ;\
${INSTALL_DATA} ${PKGMESSAGE} ${DOCSDIR}/README${PKGNAMESUFFIX} ;\
${ECHO} "======================================================================" ;\
${CAT} ${PKGMESSAGE} ;\
${ECHO} "======================================================================" ;\

View file

@ -18,7 +18,7 @@
# daily_pgsql_backup_enable="YES" # do backup
# daily_pgsql_vacuum_enable="YES" # do vacuum
daily_pgsql_vaccum_enable="NO"
daily_pgsql_vacuum_enable="YES"
daily_pgsql_backup_enable="NO"
daily_pgsql_vacuum_args="-z"

View file

@ -0,0 +1,11 @@
--- src/pl/plpython/Makefile~ Thu Mar 4 08:06:19 2004
+++ src/pl/plpython/Makefile Thu Mar 4 08:06:44 2004
@@ -8,7 +8,7 @@
# On some platforms we can only build PL/Python if libpython is a
# shared library. Since there is no official way to determine this,
# we see if there is a file that is named like a shared library.
-ifneq (,$(wildcard $(python_configdir)/libpython*$(DLSUFFIX)*))
+ifneq (,$(wildcard $(python_configdir)/../../libpython*$(DLSUFFIX)*))
shared_libpython = yes
endif

View file

@ -0,0 +1,12 @@
--- src/test/regress/pg_regress.sh.orig Sun Nov 2 22:56:15 2003
+++ src/test/regress/pg_regress.sh Sat Jan 8 05:28:00 2005
@@ -382,6 +382,9 @@
(exit 2); exit
fi
+ # make rest of this script happy
+ echo "syslog = 0" >> $PGDATA/postgresql.conf
+ echo "silent_mode = false" >> $PGDATA/postgresql.conf
# ----------
# Start postmaster

View file

@ -0,0 +1,3 @@
PL/Python has been installed. Check the createlang(l) manpage for more
info. You can install PL/Python by using "createlang plpythonu" (it
exists as an untrusted language only).

View file

@ -38,6 +38,349 @@ include/postgresql/internal/postgres_fe.h
include/postgresql/internal/port.h
include/postgresql/internal/pqexpbuffer.h
@dirrm include/postgresql/internal
include/postgresql/server/access/attnum.h
include/postgresql/server/access/clog.h
include/postgresql/server/access/genam.h
include/postgresql/server/access/gist.h
include/postgresql/server/access/gistscan.h
include/postgresql/server/access/hash.h
include/postgresql/server/access/heapam.h
include/postgresql/server/access/hio.h
include/postgresql/server/access/htup.h
include/postgresql/server/access/ibit.h
include/postgresql/server/access/iqual.h
include/postgresql/server/access/istrat.h
include/postgresql/server/access/itup.h
include/postgresql/server/access/nbtree.h
include/postgresql/server/access/printtup.h
include/postgresql/server/access/relscan.h
include/postgresql/server/access/rmgr.h
include/postgresql/server/access/rtree.h
include/postgresql/server/access/rtscan.h
include/postgresql/server/access/sdir.h
include/postgresql/server/access/skey.h
include/postgresql/server/access/slru.h
include/postgresql/server/access/strat.h
include/postgresql/server/access/transam.h
include/postgresql/server/access/tupdesc.h
include/postgresql/server/access/tupmacs.h
include/postgresql/server/access/valid.h
include/postgresql/server/access/tuptoaster.h
include/postgresql/server/access/xact.h
include/postgresql/server/access/xlog.h
include/postgresql/server/access/xlogdefs.h
include/postgresql/server/access/xlogutils.h
include/postgresql/server/bootstrap/bootstrap.h
include/postgresql/server/catalog/catalog.h
include/postgresql/server/catalog/catname.h
include/postgresql/server/catalog/catversion.h
include/postgresql/server/catalog/dependency.h
include/postgresql/server/catalog/heap.h
include/postgresql/server/catalog/index.h
include/postgresql/server/catalog/indexing.h
include/postgresql/server/catalog/namespace.h
include/postgresql/server/catalog/pg_aggregate.h
include/postgresql/server/catalog/pg_am.h
include/postgresql/server/catalog/pg_amop.h
include/postgresql/server/catalog/pg_amproc.h
include/postgresql/server/catalog/pg_attrdef.h
include/postgresql/server/catalog/pg_attribute.h
include/postgresql/server/catalog/pg_cast.h
include/postgresql/server/catalog/pg_class.h
include/postgresql/server/catalog/pg_constraint.h
include/postgresql/server/catalog/pg_control.h
include/postgresql/server/catalog/pg_conversion.h
include/postgresql/server/catalog/pg_database.h
include/postgresql/server/catalog/pg_depend.h
include/postgresql/server/catalog/pg_group.h
include/postgresql/server/catalog/pg_description.h
include/postgresql/server/catalog/pg_index.h
include/postgresql/server/catalog/pg_inherits.h
include/postgresql/server/catalog/pg_language.h
include/postgresql/server/catalog/pg_largeobject.h
include/postgresql/server/catalog/pg_listener.h
include/postgresql/server/catalog/pg_namespace.h
include/postgresql/server/catalog/pg_opclass.h
include/postgresql/server/catalog/pg_operator.h
include/postgresql/server/catalog/pg_proc.h
include/postgresql/server/catalog/pg_rewrite.h
include/postgresql/server/catalog/pg_shadow.h
include/postgresql/server/catalog/pg_statistic.h
include/postgresql/server/catalog/pg_trigger.h
include/postgresql/server/catalog/pg_type.h
include/postgresql/server/catalog/pg_version.h
include/postgresql/server/commands/alter.h
include/postgresql/server/commands/async.h
include/postgresql/server/commands/cluster.h
include/postgresql/server/commands/comment.h
include/postgresql/server/commands/conversioncmds.h
include/postgresql/server/commands/copy.h
include/postgresql/server/commands/dbcommands.h
include/postgresql/server/commands/defrem.h
include/postgresql/server/commands/explain.h
include/postgresql/server/commands/lockcmds.h
include/postgresql/server/commands/portalcmds.h
include/postgresql/server/commands/prepare.h
include/postgresql/server/commands/proclang.h
include/postgresql/server/commands/schemacmds.h
include/postgresql/server/commands/sequence.h
include/postgresql/server/commands/tablecmds.h
include/postgresql/server/commands/trigger.h
include/postgresql/server/commands/typecmds.h
include/postgresql/server/commands/user.h
include/postgresql/server/commands/vacuum.h
include/postgresql/server/commands/variable.h
include/postgresql/server/commands/version.h
include/postgresql/server/commands/view.h
include/postgresql/server/executor/execdebug.h
include/postgresql/server/executor/execdefs.h
include/postgresql/server/executor/execdesc.h
include/postgresql/server/executor/executor.h
include/postgresql/server/executor/functions.h
include/postgresql/server/executor/hashjoin.h
include/postgresql/server/executor/instrument.h
include/postgresql/server/executor/nodeAgg.h
include/postgresql/server/executor/nodeAppend.h
include/postgresql/server/executor/nodeFunctionscan.h
include/postgresql/server/executor/nodeGroup.h
include/postgresql/server/executor/nodeHash.h
include/postgresql/server/executor/nodeHashjoin.h
include/postgresql/server/executor/nodeIndexscan.h
include/postgresql/server/executor/nodeLimit.h
include/postgresql/server/executor/nodeMaterial.h
include/postgresql/server/executor/nodeMergejoin.h
include/postgresql/server/executor/nodeNestloop.h
include/postgresql/server/executor/nodeResult.h
include/postgresql/server/executor/nodeSeqscan.h
include/postgresql/server/executor/nodeSetOp.h
include/postgresql/server/executor/nodeSort.h
include/postgresql/server/executor/nodeSubplan.h
include/postgresql/server/executor/nodeSubqueryscan.h
include/postgresql/server/executor/nodeTidscan.h
include/postgresql/server/executor/nodeUnique.h
include/postgresql/server/executor/spi.h
include/postgresql/server/executor/spi_priv.h
include/postgresql/server/executor/tstoreReceiver.h
include/postgresql/server/executor/tuptable.h
include/postgresql/server/lib/dllist.h
include/postgresql/server/lib/lispsort.h
include/postgresql/server/lib/stringinfo.h
include/postgresql/server/libpq/auth.h
include/postgresql/server/libpq/be-fsstubs.h
include/postgresql/server/libpq/crypt.h
include/postgresql/server/libpq/hba.h
include/postgresql/server/libpq/ip.h
include/postgresql/server/libpq/libpq-be.h
include/postgresql/server/libpq/libpq-fs.h
include/postgresql/server/libpq/libpq.h
include/postgresql/server/libpq/pqcomm.h
include/postgresql/server/libpq/pqformat.h
include/postgresql/server/libpq/pqsignal.h
include/postgresql/server/mb/pg_wchar.h
include/postgresql/server/nodes/bitmapset.h
include/postgresql/server/nodes/execnodes.h
include/postgresql/server/nodes/makefuncs.h
include/postgresql/server/nodes/memnodes.h
include/postgresql/server/nodes/nodeFuncs.h
include/postgresql/server/nodes/nodes.h
include/postgresql/server/nodes/params.h
include/postgresql/server/nodes/parsenodes.h
include/postgresql/server/nodes/pg_list.h
include/postgresql/server/nodes/plannodes.h
include/postgresql/server/nodes/primnodes.h
include/postgresql/server/nodes/print.h
include/postgresql/server/nodes/readfuncs.h
include/postgresql/server/nodes/relation.h
include/postgresql/server/optimizer/clauses.h
include/postgresql/server/optimizer/cost.h
include/postgresql/server/optimizer/geqo.h
include/postgresql/server/optimizer/geqo_copy.h
include/postgresql/server/optimizer/geqo_gene.h
include/postgresql/server/optimizer/geqo_misc.h
include/postgresql/server/optimizer/geqo_mutation.h
include/postgresql/server/optimizer/geqo_pool.h
include/postgresql/server/optimizer/geqo_random.h
include/postgresql/server/optimizer/geqo_recombination.h
include/postgresql/server/optimizer/geqo_selection.h
include/postgresql/server/optimizer/joininfo.h
include/postgresql/server/optimizer/pathnode.h
include/postgresql/server/optimizer/paths.h
include/postgresql/server/optimizer/plancat.h
include/postgresql/server/optimizer/planmain.h
include/postgresql/server/optimizer/planner.h
include/postgresql/server/optimizer/prep.h
include/postgresql/server/optimizer/restrictinfo.h
include/postgresql/server/optimizer/subselect.h
include/postgresql/server/optimizer/tlist.h
include/postgresql/server/optimizer/var.h
include/postgresql/server/parser/analyze.h
include/postgresql/server/parser/gramparse.h
include/postgresql/server/parser/keywords.h
include/postgresql/server/parser/parse.h
include/postgresql/server/parser/parse_agg.h
include/postgresql/server/parser/parse_clause.h
include/postgresql/server/parser/parse_coerce.h
include/postgresql/server/parser/parse_expr.h
include/postgresql/server/parser/parse_func.h
include/postgresql/server/parser/parse_node.h
include/postgresql/server/parser/parse_oper.h
include/postgresql/server/parser/parse_relation.h
include/postgresql/server/parser/parse_target.h
include/postgresql/server/parser/parse_type.h
include/postgresql/server/parser/parser.h
include/postgresql/server/parser/parsetree.h
include/postgresql/server/parser/scansup.h
include/postgresql/server/port/aix.h
include/postgresql/server/port/beos.h
include/postgresql/server/port/bsdi.h
include/postgresql/server/port/cygwin.h
include/postgresql/server/port/darwin.h
include/postgresql/server/port/dgux.h
include/postgresql/server/port/freebsd.h
include/postgresql/server/port/hpux.h
include/postgresql/server/port/irix5.h
include/postgresql/server/port/linux.h
include/postgresql/server/port/netbsd.h
include/postgresql/server/port/nextstep.h
include/postgresql/server/port/openbsd.h
include/postgresql/server/port/osf.h
include/postgresql/server/port/qnx4.h
include/postgresql/server/port/sco.h
include/postgresql/server/port/solaris.h
include/postgresql/server/port/sunos4.h
include/postgresql/server/port/svr4.h
include/postgresql/server/port/ultrix4.h
include/postgresql/server/port/univel.h
include/postgresql/server/port/unixware.h
include/postgresql/server/port/win32.h
include/postgresql/server/regex/regcustom.h
include/postgresql/server/regex/regerrs.h
include/postgresql/server/regex/regex.h
include/postgresql/server/regex/regguts.h
include/postgresql/server/rewrite/prs2lock.h
include/postgresql/server/rewrite/rewriteDefine.h
include/postgresql/server/rewrite/rewriteHandler.h
include/postgresql/server/rewrite/rewriteManip.h
include/postgresql/server/rewrite/rewriteRemove.h
include/postgresql/server/rewrite/rewriteSupport.h
include/postgresql/server/storage/backendid.h
include/postgresql/server/storage/block.h
include/postgresql/server/storage/buf.h
include/postgresql/server/storage/buf_internals.h
include/postgresql/server/storage/buffile.h
include/postgresql/server/storage/bufmgr.h
include/postgresql/server/storage/bufpage.h
include/postgresql/server/storage/fd.h
include/postgresql/server/storage/freespace.h
include/postgresql/server/storage/ipc.h
include/postgresql/server/storage/item.h
include/postgresql/server/storage/itemid.h
include/postgresql/server/storage/itempos.h
include/postgresql/server/storage/itemptr.h
include/postgresql/server/storage/large_object.h
include/postgresql/server/storage/lmgr.h
include/postgresql/server/storage/lock.h
include/postgresql/server/storage/lwlock.h
include/postgresql/server/storage/off.h
include/postgresql/server/storage/pg_sema.h
include/postgresql/server/storage/pg_shmem.h
include/postgresql/server/storage/pmsignal.h
include/postgresql/server/storage/pos.h
include/postgresql/server/storage/proc.h
include/postgresql/server/storage/relfilenode.h
include/postgresql/server/storage/s_lock.h
include/postgresql/server/storage/shmem.h
include/postgresql/server/storage/sinval.h
include/postgresql/server/storage/sinvaladt.h
include/postgresql/server/storage/smgr.h
include/postgresql/server/storage/spin.h
include/postgresql/server/tcop/dest.h
include/postgresql/server/tcop/fastpath.h
include/postgresql/server/tcop/pquery.h
include/postgresql/server/tcop/tcopdebug.h
include/postgresql/server/tcop/tcopprot.h
include/postgresql/server/tcop/utility.h
include/postgresql/server/utils/acl.h
include/postgresql/server/utils/array.h
include/postgresql/server/utils/ascii.h
include/postgresql/server/utils/builtins.h
include/postgresql/server/utils/cash.h
include/postgresql/server/utils/catcache.h
include/postgresql/server/utils/date.h
include/postgresql/server/utils/datetime.h
include/postgresql/server/utils/datum.h
include/postgresql/server/utils/dynahash.h
include/postgresql/server/utils/dynamic_loader.h
include/postgresql/server/utils/elog.h
include/postgresql/server/utils/errcodes.h
include/postgresql/server/utils/fmgroids.h
include/postgresql/server/utils/fmgrtab.h
include/postgresql/server/utils/formatting.h
include/postgresql/server/utils/geo_decls.h
include/postgresql/server/utils/guc.h
include/postgresql/server/utils/guc_tables.h
include/postgresql/server/utils/hsearch.h
include/postgresql/server/utils/help_config.h
include/postgresql/server/utils/inet.h
include/postgresql/server/utils/int8.h
include/postgresql/server/utils/inval.h
include/postgresql/server/utils/logtape.h
include/postgresql/server/utils/lsyscache.h
include/postgresql/server/utils/memutils.h
include/postgresql/server/utils/nabstime.h
include/postgresql/server/utils/numeric.h
include/postgresql/server/utils/palloc.h
include/postgresql/server/utils/pg_crc.h
include/postgresql/server/utils/pg_locale.h
include/postgresql/server/utils/pg_lzcompress.h
include/postgresql/server/utils/portal.h
include/postgresql/server/utils/ps_status.h
include/postgresql/server/utils/rel.h
include/postgresql/server/utils/relcache.h
include/postgresql/server/utils/selfuncs.h
include/postgresql/server/utils/sets.h
include/postgresql/server/utils/syscache.h
include/postgresql/server/utils/timestamp.h
include/postgresql/server/utils/tqual.h
include/postgresql/server/utils/tuplesort.h
include/postgresql/server/utils/tuplestore.h
include/postgresql/server/utils/typcache.h
include/postgresql/server/utils/varbit.h
include/postgresql/server/c.h
include/postgresql/server/dynloader.h
include/postgresql/server/fmgr.h
include/postgresql/server/funcapi.h
include/postgresql/server/getaddrinfo.h
include/postgresql/server/getopt_long.h
include/postgresql/server/miscadmin.h
include/postgresql/server/pg_config.h
include/postgresql/server/pg_config_manual.h
include/postgresql/server/pg_config_os.h
include/postgresql/server/pgstat.h
include/postgresql/server/port.h
include/postgresql/server/postgres.h
include/postgresql/server/postgres_ext.h
include/postgresql/server/postgres_fe.h
include/postgresql/server/rusagestub.h
include/postgresql/server/strdup.h
@dirrm include/postgresql/server/access
@dirrm include/postgresql/server/bootstrap
@dirrm include/postgresql/server/catalog
@dirrm include/postgresql/server/commands
@dirrm include/postgresql/server/executor
@dirrm include/postgresql/server/lib
@dirrm include/postgresql/server/libpq
@dirrm include/postgresql/server/mb
@dirrm include/postgresql/server/nodes
@dirrm include/postgresql/server/optimizer
@dirrm include/postgresql/server/parser
@dirrm include/postgresql/server/port
@dirrm include/postgresql/server/regex
@dirrm include/postgresql/server/rewrite
@dirrm include/postgresql/server/storage
@dirrm include/postgresql/server/tcop
@dirrm include/postgresql/server/utils
@dirrm include/postgresql/server
include/ecpg_informix.h
include/ecpgerrno.h
include/ecpglib.h
@ -66,8 +409,8 @@ lib/libpq.so.3
lib/libpgtypes.a
lib/libpgtypes.so
lib/libpgtypes.so.1
@unexec rmdir %D/lib/postgresql 2>/dev/null || true
share/postgresql/README-client
%%DOCSDIR%%/README-client
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true
share/postgresql/pg_service.conf.sample
@unexec rmdir %D/share/postgresql 2>/dev/null || true
%%GETTEXT%%share/locale/cs/LC_MESSAGES/libpq.mo
@ -142,7 +485,12 @@ share/postgresql/pg_service.conf.sample
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/pg_controldata.mo
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/pg_dump.mo
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/psql.mo
%%GETTEXT%%@unexec rmdir %D/share/locale/*/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/* 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/cs/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/cs 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/sl/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/sl 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_CN/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_CN 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_TW/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_TW 2>/dev/null || true
@dirrm include/postgresql

View file

@ -53,6 +53,7 @@ lib/postgresql/timetravel.so
lib/postgresql/tsearch.so
lib/postgresql/tsearch2.so
lib/postgresql/user_locks.so
%%DOCSDIR%%/README-contrib
%%DOCSDIR%%/contrib/README
%%DOCSDIR%%/contrib/README.apachelog
%%DOCSDIR%%/contrib/README.btree_gist
@ -137,7 +138,6 @@ share/postgresql/contrib/tsearch.sql
share/postgresql/contrib/tsearch2.sql
share/postgresql/contrib/untsearch2.sql
share/postgresql/contrib/user_locks.sql
share/postgresql/README-contrib
@unexec rmdir %D/share/postgresql/contrib >&2 2> /dev/null || true
@unexec rmdir %D/share/postgresql >&2 2> /dev/null || true
@unexec rmdir %D/%%DOCSDIR%%/contrib >&2 2> /dev/null || true

View file

@ -1,3 +1,4 @@
%%DOCSDIR%%/README-jdbc
%%PORTDOCS%%%%EXAMPLESDIR%%/ImageViewer.java
%%PORTDOCS%%%%EXAMPLESDIR%%/README
%%PORTDOCS%%%%EXAMPLESDIR%%/Unicode.java
@ -23,5 +24,5 @@ share/java/classes/postgresql.jar
share/postgresql/java/postgresql-examples.jar
share/postgresql/java/postgresql.jar
@dirrm share/postgresql/java
share/postgresql/README-jdbc
@unexec rmdir %D/share/postgresql 2>/dev/null || true
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true

View file

@ -1,2 +1,4 @@
%%DOCSDIR%%/README-plperl
lib/postgresql/plperl.so
@unexec rmdir %D/lib/postgresql 2>/dev/null || true
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true

View file

@ -0,0 +1,4 @@
%%DOCSDIR%%/README-plpython
lib/postgresql/plpython.so
@unexec rmdir %D/lib/postgresql 2>/dev/null || true
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true

View file

@ -1,8 +1,9 @@
%%DOCSDIR%%/README-pltcl
lib/postgresql/pltcl.so
@unexec rmdir %D/lib/postgresql 2>/dev/null || true
bin/pltcl_loadmod
bin/pltcl_delmod
bin/pltcl_listmod
share/postgresql/README-pltcl
share/postgresql/unknown.pltcl
@unexec rmdir %D/share/postgresql 2>/dev/null || true
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true

View file

@ -1,6 +1,7 @@
bin/postmaster
bin/postgres
etc/periodic/daily/502.pgsql
etc/rc.d/postgresql.sh
lib/postgresql/ascii_and_mic.so
lib/postgresql/cyrillic_and_mic.so
lib/postgresql/euc_cn_and_mic.so
@ -28,7 +29,8 @@ lib/postgresql/utf8_and_win1250.so
lib/postgresql/utf8_and_win1256.so
lib/postgresql/utf8_and_win874.so
lib/postgresql/plpgsql.so
share/postgresql/README-server
%%DOCSDIR%%/README-server
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true
share/postgresql/conversion_create.sql
share/postgresql/information_schema.sql
share/postgresql/pg_hba.conf.sample
@ -51,6 +53,12 @@ share/postgresql/sql_features.txt
%%GETTEXT%%share/locale/tr/LC_MESSAGES/postgres.mo
%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/postgres.mo
%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/postgres.mo
%%GETTEXT%%@unexec rmdir %D/share/locale/cs/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/cs 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_CN/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_CN 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_TW/LC_MESSAGES 2>/dev/null || true
%%GETTEXT%%@unexec rmdir %D/share/locale/zh_TW 2>/dev/null || true
@unexec if cmp -s ~pgsql/.profile %D/share/postgresql/dot.profile.dist; then rm -f ~pgsql/.profile; fi
@unexec if cmp -s ~pgsql/.cshrc %D/share/postgresql/dot.cshrc.dist; then rm -f ~pgsql/.cshrc; fi
@unexec [ -f ~pgsql/dot.profile.dist ] && rm ~pgsql/dot.profile.dist
@ -61,351 +69,9 @@ share/postgresql/dot.cshrc.dist
@exec [ -f %D/share/postgresql/dot.cshrc.dist ] && cp %D/share/postgresql/dot.cshrc.dist ~pgsql/.
@exec [ -f ~pgsql/.profile ] || (cp %D/share/postgresql/dot.profile.dist ~pgsql/.profile && chown pgsql:pgsql ~pgsql/.profile)
@exec [ -f ~pgsql/.cshrc ] || (cp %D/share/postgresql/dot.cshrc.dist ~pgsql/.cshrc && chown pgsql:pgsql ~pgsql/.cshrc)
@unexec rmdir ~pgsql 2> /dev/null || true
@unexec echo "Warning: If you will *NOT* use this package anymore, please remove %D/pgsql and the pgsql user manually."
@unexec echo "Warning: If you will *NOT* use this package anymore, please remove the pgsql user manually."
@unexec rmdir %D/share/postgresql 2>/dev/null || true
@unexec rmdir %D/etc/periodic/daily 2>/dev/null || true
etc/rc.d/postgresql.sh
include/postgresql/server/access/attnum.h
include/postgresql/server/access/clog.h
include/postgresql/server/access/genam.h
include/postgresql/server/access/gist.h
include/postgresql/server/access/gistscan.h
include/postgresql/server/access/hash.h
include/postgresql/server/access/heapam.h
include/postgresql/server/access/hio.h
include/postgresql/server/access/htup.h
include/postgresql/server/access/ibit.h
include/postgresql/server/access/iqual.h
include/postgresql/server/access/istrat.h
include/postgresql/server/access/itup.h
include/postgresql/server/access/nbtree.h
include/postgresql/server/access/printtup.h
include/postgresql/server/access/relscan.h
include/postgresql/server/access/rmgr.h
include/postgresql/server/access/rtree.h
include/postgresql/server/access/rtscan.h
include/postgresql/server/access/sdir.h
include/postgresql/server/access/skey.h
include/postgresql/server/access/slru.h
include/postgresql/server/access/strat.h
include/postgresql/server/access/transam.h
include/postgresql/server/access/tupdesc.h
include/postgresql/server/access/tupmacs.h
include/postgresql/server/access/valid.h
include/postgresql/server/access/tuptoaster.h
include/postgresql/server/access/xact.h
include/postgresql/server/access/xlog.h
include/postgresql/server/access/xlogdefs.h
include/postgresql/server/access/xlogutils.h
include/postgresql/server/bootstrap/bootstrap.h
include/postgresql/server/catalog/catalog.h
include/postgresql/server/catalog/catname.h
include/postgresql/server/catalog/catversion.h
include/postgresql/server/catalog/dependency.h
include/postgresql/server/catalog/heap.h
include/postgresql/server/catalog/index.h
include/postgresql/server/catalog/indexing.h
include/postgresql/server/catalog/namespace.h
include/postgresql/server/catalog/pg_aggregate.h
include/postgresql/server/catalog/pg_am.h
include/postgresql/server/catalog/pg_amop.h
include/postgresql/server/catalog/pg_amproc.h
include/postgresql/server/catalog/pg_attrdef.h
include/postgresql/server/catalog/pg_attribute.h
include/postgresql/server/catalog/pg_cast.h
include/postgresql/server/catalog/pg_class.h
include/postgresql/server/catalog/pg_constraint.h
include/postgresql/server/catalog/pg_control.h
include/postgresql/server/catalog/pg_conversion.h
include/postgresql/server/catalog/pg_database.h
include/postgresql/server/catalog/pg_depend.h
include/postgresql/server/catalog/pg_group.h
include/postgresql/server/catalog/pg_description.h
include/postgresql/server/catalog/pg_index.h
include/postgresql/server/catalog/pg_inherits.h
include/postgresql/server/catalog/pg_language.h
include/postgresql/server/catalog/pg_largeobject.h
include/postgresql/server/catalog/pg_listener.h
include/postgresql/server/catalog/pg_namespace.h
include/postgresql/server/catalog/pg_opclass.h
include/postgresql/server/catalog/pg_operator.h
include/postgresql/server/catalog/pg_proc.h
include/postgresql/server/catalog/pg_rewrite.h
include/postgresql/server/catalog/pg_shadow.h
include/postgresql/server/catalog/pg_statistic.h
include/postgresql/server/catalog/pg_trigger.h
include/postgresql/server/catalog/pg_type.h
include/postgresql/server/catalog/pg_version.h
include/postgresql/server/commands/alter.h
include/postgresql/server/commands/async.h
include/postgresql/server/commands/cluster.h
include/postgresql/server/commands/comment.h
include/postgresql/server/commands/conversioncmds.h
include/postgresql/server/commands/copy.h
include/postgresql/server/commands/dbcommands.h
include/postgresql/server/commands/defrem.h
include/postgresql/server/commands/explain.h
include/postgresql/server/commands/lockcmds.h
include/postgresql/server/commands/portalcmds.h
include/postgresql/server/commands/prepare.h
include/postgresql/server/commands/proclang.h
include/postgresql/server/commands/schemacmds.h
include/postgresql/server/commands/sequence.h
include/postgresql/server/commands/tablecmds.h
include/postgresql/server/commands/trigger.h
include/postgresql/server/commands/typecmds.h
include/postgresql/server/commands/user.h
include/postgresql/server/commands/vacuum.h
include/postgresql/server/commands/variable.h
include/postgresql/server/commands/version.h
include/postgresql/server/commands/view.h
include/postgresql/server/executor/execdebug.h
include/postgresql/server/executor/execdefs.h
include/postgresql/server/executor/execdesc.h
include/postgresql/server/executor/executor.h
include/postgresql/server/executor/functions.h
include/postgresql/server/executor/hashjoin.h
include/postgresql/server/executor/instrument.h
include/postgresql/server/executor/nodeAgg.h
include/postgresql/server/executor/nodeAppend.h
include/postgresql/server/executor/nodeFunctionscan.h
include/postgresql/server/executor/nodeGroup.h
include/postgresql/server/executor/nodeHash.h
include/postgresql/server/executor/nodeHashjoin.h
include/postgresql/server/executor/nodeIndexscan.h
include/postgresql/server/executor/nodeLimit.h
include/postgresql/server/executor/nodeMaterial.h
include/postgresql/server/executor/nodeMergejoin.h
include/postgresql/server/executor/nodeNestloop.h
include/postgresql/server/executor/nodeResult.h
include/postgresql/server/executor/nodeSeqscan.h
include/postgresql/server/executor/nodeSetOp.h
include/postgresql/server/executor/nodeSort.h
include/postgresql/server/executor/nodeSubplan.h
include/postgresql/server/executor/nodeSubqueryscan.h
include/postgresql/server/executor/nodeTidscan.h
include/postgresql/server/executor/nodeUnique.h
include/postgresql/server/executor/spi.h
include/postgresql/server/executor/spi_priv.h
include/postgresql/server/executor/tstoreReceiver.h
include/postgresql/server/executor/tuptable.h
include/postgresql/server/lib/dllist.h
include/postgresql/server/lib/lispsort.h
include/postgresql/server/lib/stringinfo.h
include/postgresql/server/libpq/auth.h
include/postgresql/server/libpq/be-fsstubs.h
include/postgresql/server/libpq/crypt.h
include/postgresql/server/libpq/hba.h
include/postgresql/server/libpq/ip.h
include/postgresql/server/libpq/libpq-be.h
include/postgresql/server/libpq/libpq-fs.h
include/postgresql/server/libpq/libpq.h
include/postgresql/server/libpq/pqcomm.h
include/postgresql/server/libpq/pqformat.h
include/postgresql/server/libpq/pqsignal.h
include/postgresql/server/mb/pg_wchar.h
include/postgresql/server/nodes/bitmapset.h
include/postgresql/server/nodes/execnodes.h
include/postgresql/server/nodes/makefuncs.h
include/postgresql/server/nodes/memnodes.h
include/postgresql/server/nodes/nodeFuncs.h
include/postgresql/server/nodes/nodes.h
include/postgresql/server/nodes/params.h
include/postgresql/server/nodes/parsenodes.h
include/postgresql/server/nodes/pg_list.h
include/postgresql/server/nodes/plannodes.h
include/postgresql/server/nodes/primnodes.h
include/postgresql/server/nodes/print.h
include/postgresql/server/nodes/readfuncs.h
include/postgresql/server/nodes/relation.h
include/postgresql/server/optimizer/clauses.h
include/postgresql/server/optimizer/cost.h
include/postgresql/server/optimizer/geqo.h
include/postgresql/server/optimizer/geqo_copy.h
include/postgresql/server/optimizer/geqo_gene.h
include/postgresql/server/optimizer/geqo_misc.h
include/postgresql/server/optimizer/geqo_mutation.h
include/postgresql/server/optimizer/geqo_pool.h
include/postgresql/server/optimizer/geqo_random.h
include/postgresql/server/optimizer/geqo_recombination.h
include/postgresql/server/optimizer/geqo_selection.h
include/postgresql/server/optimizer/joininfo.h
include/postgresql/server/optimizer/pathnode.h
include/postgresql/server/optimizer/paths.h
include/postgresql/server/optimizer/plancat.h
include/postgresql/server/optimizer/planmain.h
include/postgresql/server/optimizer/planner.h
include/postgresql/server/optimizer/prep.h
include/postgresql/server/optimizer/restrictinfo.h
include/postgresql/server/optimizer/subselect.h
include/postgresql/server/optimizer/tlist.h
include/postgresql/server/optimizer/var.h
include/postgresql/server/parser/analyze.h
include/postgresql/server/parser/gramparse.h
include/postgresql/server/parser/keywords.h
include/postgresql/server/parser/parse.h
include/postgresql/server/parser/parse_agg.h
include/postgresql/server/parser/parse_clause.h
include/postgresql/server/parser/parse_coerce.h
include/postgresql/server/parser/parse_expr.h
include/postgresql/server/parser/parse_func.h
include/postgresql/server/parser/parse_node.h
include/postgresql/server/parser/parse_oper.h
include/postgresql/server/parser/parse_relation.h
include/postgresql/server/parser/parse_target.h
include/postgresql/server/parser/parse_type.h
include/postgresql/server/parser/parser.h
include/postgresql/server/parser/parsetree.h
include/postgresql/server/parser/scansup.h
include/postgresql/server/port/aix.h
include/postgresql/server/port/beos.h
include/postgresql/server/port/bsdi.h
include/postgresql/server/port/cygwin.h
include/postgresql/server/port/darwin.h
include/postgresql/server/port/dgux.h
include/postgresql/server/port/freebsd.h
include/postgresql/server/port/hpux.h
include/postgresql/server/port/irix5.h
include/postgresql/server/port/linux.h
include/postgresql/server/port/netbsd.h
include/postgresql/server/port/nextstep.h
include/postgresql/server/port/openbsd.h
include/postgresql/server/port/osf.h
include/postgresql/server/port/qnx4.h
include/postgresql/server/port/sco.h
include/postgresql/server/port/solaris.h
include/postgresql/server/port/sunos4.h
include/postgresql/server/port/svr4.h
include/postgresql/server/port/ultrix4.h
include/postgresql/server/port/univel.h
include/postgresql/server/port/unixware.h
include/postgresql/server/port/win32.h
include/postgresql/server/regex/regcustom.h
include/postgresql/server/regex/regerrs.h
include/postgresql/server/regex/regex.h
include/postgresql/server/regex/regguts.h
include/postgresql/server/rewrite/prs2lock.h
include/postgresql/server/rewrite/rewriteDefine.h
include/postgresql/server/rewrite/rewriteHandler.h
include/postgresql/server/rewrite/rewriteManip.h
include/postgresql/server/rewrite/rewriteRemove.h
include/postgresql/server/rewrite/rewriteSupport.h
include/postgresql/server/storage/backendid.h
include/postgresql/server/storage/block.h
include/postgresql/server/storage/buf.h
include/postgresql/server/storage/buf_internals.h
include/postgresql/server/storage/buffile.h
include/postgresql/server/storage/bufmgr.h
include/postgresql/server/storage/bufpage.h
include/postgresql/server/storage/fd.h
include/postgresql/server/storage/freespace.h
include/postgresql/server/storage/ipc.h
include/postgresql/server/storage/item.h
include/postgresql/server/storage/itemid.h
include/postgresql/server/storage/itempos.h
include/postgresql/server/storage/itemptr.h
include/postgresql/server/storage/large_object.h
include/postgresql/server/storage/lmgr.h
include/postgresql/server/storage/lock.h
include/postgresql/server/storage/lwlock.h
include/postgresql/server/storage/off.h
include/postgresql/server/storage/pg_sema.h
include/postgresql/server/storage/pg_shmem.h
include/postgresql/server/storage/pmsignal.h
include/postgresql/server/storage/pos.h
include/postgresql/server/storage/proc.h
include/postgresql/server/storage/relfilenode.h
include/postgresql/server/storage/s_lock.h
include/postgresql/server/storage/shmem.h
include/postgresql/server/storage/sinval.h
include/postgresql/server/storage/sinvaladt.h
include/postgresql/server/storage/smgr.h
include/postgresql/server/storage/spin.h
include/postgresql/server/tcop/dest.h
include/postgresql/server/tcop/fastpath.h
include/postgresql/server/tcop/pquery.h
include/postgresql/server/tcop/tcopdebug.h
include/postgresql/server/tcop/tcopprot.h
include/postgresql/server/tcop/utility.h
include/postgresql/server/utils/acl.h
include/postgresql/server/utils/array.h
include/postgresql/server/utils/ascii.h
include/postgresql/server/utils/builtins.h
include/postgresql/server/utils/cash.h
include/postgresql/server/utils/catcache.h
include/postgresql/server/utils/date.h
include/postgresql/server/utils/datetime.h
include/postgresql/server/utils/datum.h
include/postgresql/server/utils/dynahash.h
include/postgresql/server/utils/dynamic_loader.h
include/postgresql/server/utils/elog.h
include/postgresql/server/utils/errcodes.h
include/postgresql/server/utils/fmgroids.h
include/postgresql/server/utils/fmgrtab.h
include/postgresql/server/utils/formatting.h
include/postgresql/server/utils/geo_decls.h
include/postgresql/server/utils/guc.h
include/postgresql/server/utils/guc_tables.h
include/postgresql/server/utils/hsearch.h
include/postgresql/server/utils/help_config.h
include/postgresql/server/utils/inet.h
include/postgresql/server/utils/int8.h
include/postgresql/server/utils/inval.h
include/postgresql/server/utils/logtape.h
include/postgresql/server/utils/lsyscache.h
include/postgresql/server/utils/memutils.h
include/postgresql/server/utils/nabstime.h
include/postgresql/server/utils/numeric.h
include/postgresql/server/utils/palloc.h
include/postgresql/server/utils/pg_crc.h
include/postgresql/server/utils/pg_locale.h
include/postgresql/server/utils/pg_lzcompress.h
include/postgresql/server/utils/portal.h
include/postgresql/server/utils/ps_status.h
include/postgresql/server/utils/rel.h
include/postgresql/server/utils/relcache.h
include/postgresql/server/utils/selfuncs.h
include/postgresql/server/utils/sets.h
include/postgresql/server/utils/syscache.h
include/postgresql/server/utils/timestamp.h
include/postgresql/server/utils/tqual.h
include/postgresql/server/utils/tuplesort.h
include/postgresql/server/utils/tuplestore.h
include/postgresql/server/utils/typcache.h
include/postgresql/server/utils/varbit.h
include/postgresql/server/c.h
include/postgresql/server/dynloader.h
include/postgresql/server/fmgr.h
include/postgresql/server/funcapi.h
include/postgresql/server/getaddrinfo.h
include/postgresql/server/getopt_long.h
include/postgresql/server/miscadmin.h
include/postgresql/server/pg_config.h
include/postgresql/server/pg_config_manual.h
include/postgresql/server/pg_config_os.h
include/postgresql/server/pgstat.h
include/postgresql/server/port.h
include/postgresql/server/postgres.h
include/postgresql/server/postgres_ext.h
include/postgresql/server/postgres_fe.h
include/postgresql/server/rusagestub.h
include/postgresql/server/strdup.h
@dirrm include/postgresql/server/access
@dirrm include/postgresql/server/bootstrap
@dirrm include/postgresql/server/catalog
@dirrm include/postgresql/server/commands
@dirrm include/postgresql/server/executor
@dirrm include/postgresql/server/lib
@dirrm include/postgresql/server/libpq
@dirrm include/postgresql/server/mb
@dirrm include/postgresql/server/nodes
@dirrm include/postgresql/server/optimizer
@dirrm include/postgresql/server/parser
@dirrm include/postgresql/server/port
@dirrm include/postgresql/server/regex
@dirrm include/postgresql/server/rewrite
@dirrm include/postgresql/server/storage
@dirrm include/postgresql/server/tcop
@dirrm include/postgresql/server/utils
@dirrm include/postgresql/server
@unexec rmdir %D/etc/periodic 2>/dev/null || true
@unexec rmdir %D/lib/postgresql 2>/dev/null || true
@unexec rmdir %D/pgsql 2>/dev/null || true

View file

@ -7,5 +7,6 @@ lib/libpgtcl.a
lib/libpgtcl.so
lib/libpgtcl.so.2
%%TK%%bin/pgtksh
share/postgresql/README-tcltk
%%DOCSDIR%%/README-tcltk
@unexec rmdir %D/share/postgresql 2>/dev/null || true
@unexec rmdir %D/%%DOCSDIR%% 2>/dev/null || true